SND_CTL_FREE_ONE(9)

NAME
snd_ctl_free_one - release the control instance

SYNOPSIS

void snd_ctl_free_one (struct snd_kcontrol * kcontrol);

ARGUMENTS

kcontrol
    the control instance

DESCRIPTION

Releases the control instance created via snd_ctl_new or snd_ctl_new1. Don't call this after the control was added to the card.